/**
  **************************************************************************
  * @file     at32_video_ev_bf3901cfg.h
  * @version  v2.0.2
  * @date     2022-09-15
  * @brief    at32_video_ev_bf3901cfg header file
  **************************************************************************
  *                       Copyright notice & Disclaimer
  *
  * The software Board Support Package (BSP) that is made available to
  * download from Artery official website is the copyrighted work of Artery.
  * Artery authorizes customers to use, copy, and distribute the BSP
  * software and its related documentation for the purpose of design and
  * development in conjunction with Artery microcontrollers. Use of the
  * software is governed by this copyright notice and the following disclaimer.
  *
  * THIS SOFTWARE IS PROVIDED ON "AS IS" BASIS WITHOUT WARRANTIES,
  * GUARANTEES OR REPRESENTATIONS OF ANY KIND. ARTERY EXPRESSLY DISCLAIMS,
  * TO THE FULLEST EXTENT PERMITTED BY LAW, ALL EXPRESS, IMPLIED OR
  * STATUTORY OR OTHER WARRANTIES, GUARANTEES OR REPRESENTATIONS,
  * INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY,
  * FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT.
  *
  **************************************************************************
  */

#ifndef __AT32_VIDEO_EV_BF3901CFG_H
#define __AT32_VIDEO_EV_BF3901CFG_H
#include "at32_video_ev_bf3901.h"	

#define IMAGE_NORMAL 
//#define IMAGE_H_MIRROR 
//#define IMAGE_V_MIRROR 
//#define IMAGE_HV_MIRROR 

const u8 BF3901_RGB_240X320[][2]= 
{
    {0x12,0x80},
    {0x11,0x30},
    {0x1b,0x06},//SCLK:48M.MCLK:6M
    {0x6b,0x41},  		
    {0x12,0x04},
    {0x3a,0x00},
    {0x15,0x02},
    {0x62,0x81},//0x62[1:0]:2'01,SPI mode
    {0x08,0xa0},
    {0x06,0x68},
    {0x2b,0x00},
    {0x27,0x97},
    {0x17,0x01},
    {0x18,0x79},
    {0x19,0x00},
    {0x1a,0xa0},
    {0x03,0x00},
    {0x13,0x07},
    {0x01,0x13},
    {0x02,0x20},
    {0x87,0x16},
    {0x8c,0x01},
    {0x8d,0xcc},
    {0x13,0x07},
    {0x33,0x10},
    {0x34,0x1d},
    {0x35,0x46},
    {0x36,0x40},
    {0x37,0xa4},
    {0x38,0x7c},
    {0x65,0x46},
    {0x66,0x46},
    {0x6e,0x20},
    {0x9b,0xa4},
    {0x9c,0x7c},
    {0xbc,0x0c},
    {0xbd,0xa4},
    {0xbe,0x7c},
    {0x20,0x09},
    {0x09,0x03},
    {0x72,0x2f},
    {0x73,0x2f},
    {0x74,0xa7},
    {0x75,0x12},
    {0x79,0x8d},
    {0x7a,0x00},
    {0x7e,0xfa},
    {0x70,0x0f},
    {0x7c,0x84},
    {0x7d,0xba},
    {0x5b,0xc2},
    {0x76,0x90},
    {0x7b,0x55},
    {0x71,0x46},
    {0x77,0xdd},
    {0x13,0x0f},
    {0x8a,0x10},
    {0x8b,0x20},
    {0x8e,0x21},
    {0x8f,0x40},
    {0x94,0x41},
    {0x95,0x7e},
    {0x96,0x7f},
    {0x97,0xf3},
    {0x13,0x07},
    {0x24,0x58},
    {0x97,0x48},
    {0x25,0x08},
    {0x94,0xb5},
    {0x95,0xc0},
    {0x80,0xf6},
    {0x81,0xe0},
    {0x82,0x1b},
    {0x83,0x37},
    {0x84,0x39},
    {0x85,0x58},
    {0x86,0x77},
    {0x89,0x1d},
    {0x8a,0x62},
    {0x8b,0x4c},
    {0x39,0x98},
    {0x3f,0x98},
    {0x90,0xa0},
    {0x91,0xe0},
    {0x40,0x20},
    {0x41,0x28},
    {0x42,0x26},
    {0x43,0x25},
    {0x44,0x1f},
    {0x45,0x1a},
    {0x46,0x16},
    {0x47,0x12},
    {0x48,0x0f},
    {0x49,0x0d},
    {0x4b,0x0b},
    {0x4c,0x0a},
    {0x4e,0x08},
    {0x4f,0x06},
    {0x50,0x06},
    {0x5a,0x56},
    {0x51,0x1b},
    {0x52,0x04},
    {0x53,0x4a},
    {0x54,0x26},
    {0x57,0x75},
    {0x58,0x2b},
    {0x5a,0xd6},
    {0x51,0x28},
    {0x52,0x1e},
    {0x53,0x9e},
    {0x54,0x70},
    {0x57,0x50},
    {0x58,0x07},
    {0x5c,0x28},
    {0xb0,0xe0},
    {0xb1,0xc0},
    {0xb2,0xb0},
    {0xb3,0x4f},
    {0xb4,0x63},
    {0xb4,0xe3},
    {0xb1,0xf0},
    {0xb2,0xa0},
    {0x55,0x00},
    {0x56,0x40},
    {0x96,0x50},
    {0x9a,0x30},
    {0x6a,0x81},
    {0x23,0x33},
    {0xa0,0xd0},
    {0xa1,0x31},
    {0xa6,0x04},
    {0xa2,0x0f},
    {0xa3,0x2b},
    {0xa4,0x0f},
    {0xa5,0x2b},
    {0xa7,0x9a},
    {0xa8,0x1c},
    {0xa9,0x11},
    {0xaa,0x16},
    {0xab,0x16},
    {0xac,0x3c},
    {0xad,0xf0},
    {0xae,0x57},
    {0xc6,0xaa},
    {0xd2,0x78},
    {0xd0,0xb4},
    {0xd1,0x00},
    {0xc8,0x10},
    {0xc9,0x12},
    {0xd3,0x09},
    {0xd4,0x2a},
    {0xee,0x4c},
    {0x7e,0xfa},
    {0x74,0xa7},
    {0x78,0x4e},
    {0x60,0xe7},
    {0x61,0xc8},
    {0x6d,0x70},
    {0x1e,0x39},
    {0x98,0x1a},
    {0xbb,0x22},
    {0xb9,0x00},

};

const u8 BF3901_YUV_240X320[][2]= 
{
    {0x12,0x80},
    {0x11,0x30},
    {0x1b,0x06},//SCLK:48M.MCLK:6M
    {0x6b,0x41},
    {0x12,0x20},
    {0x3a,0x00},
    {0x15,0x02},
    {0x62,0x81},//0x62[1:0]:2'01,SPI mode
    {0x08,0xa0},
    {0x06,0x68},
    {0x2b,0x20},
    {0x27,0x97},
    {0x17,0x01},
    {0x18,0x79},
    {0x19,0x00},
    {0x1a,0xa0},
    {0x03,0x00},
    {0x13,0x00},
    {0x01,0x13},
    {0x02,0x20},
    {0x87,0x16},
    {0x8c,0x01},
    {0x8d,0xcc},
    {0x13,0x07},
    {0x33,0x10},
    {0x34,0x1d},
    {0x35,0x46},
    {0x36,0x40},
    {0x37,0xa4},
    {0x38,0x7c},
    {0x65,0x46},
    {0x66,0x46},
    {0x6e,0x20},
    {0x9b,0xa4},
    {0x9c,0x7c},
    {0xbc,0x0c},
    {0xbd,0xa4},
    {0xbe,0x7c},
    {0x20,0x09},
    {0x09,0x03},
    {0x72,0x2f},
    {0x73,0x2f},
    {0x74,0xa7},
    {0x75,0x12},
    {0x79,0x8d},
    {0x7a,0x00},
    {0x7e,0xfa},
    {0x70,0x0f},
    {0x7c,0x84},
    {0x7d,0xba},
    {0x5b,0xc2},
    {0x76,0x90},
    {0x7b,0x55},
    {0x71,0x46},
    {0x77,0xdd},
    {0x13,0x0f},
    {0x8a,0x10},
    {0x8b,0x20},
    {0x8e,0x21},
    {0x8f,0x40},
    {0x94,0x41},
    {0x95,0x7e},
    {0x96,0x7f},
    {0x97,0xf3},
    {0x13,0x07},
    {0x24,0x58},
    {0x97,0x48},
    {0x25,0x08},
    {0x94,0xb5},
    {0x95,0xc0},
    {0x80,0xf6},
    {0x81,0xe0},
    {0x82,0x1b},
    {0x83,0x37},
    {0x84,0x39},
    {0x85,0x58},
    {0x86,0x77},
    {0x89,0x74},
    {0x8a,0x5c},
    {0x8b,0x4c},
    {0x39,0x98},
    {0x3f,0x98},
    {0x90,0xa0},
    {0x91,0xe0},
    {0x40,0x20},
    {0x41,0x28},
    {0x42,0x26},
    {0x43,0x25},
    {0x44,0x1f},
    {0x45,0x1a},
    {0x46,0x16},
    {0x47,0x12},
    {0x48,0x0f},
    {0x49,0x0d},
    {0x4b,0x0b},
    {0x4c,0x0a},
    {0x4e,0x08},
    {0x4f,0x06},
    {0x50,0x06},
    {0x5a,0x56},
    {0x51,0x1b},
    {0x52,0x04},
    {0x53,0x4a},
    {0x54,0x26},
    {0x57,0x75},
    {0x58,0x2b},
    {0x5a,0xd6},
    {0x51,0x28},
    {0x52,0x1e},
    {0x53,0x9e},
    {0x54,0x70},
    {0x57,0x50},
    {0x58,0x07},
    {0x5c,0x28},
    {0xb0,0xe0},
    {0xb1,0xc0},
    {0xb2,0xb0},
    {0xb3,0x4f},
    {0xb4,0x63},
    {0xb4,0xe3},
    {0xb1,0xf0},
    {0xb2,0xa0},
    {0x55,0x00},
    {0x56,0x40},
    {0x96,0x50},
    {0x9a,0x30},
    {0x6a,0x81},
    {0x23,0x33},
    {0xa0,0xd0},
    {0xa1,0x31},
    {0xa6,0x04},
    {0xa2,0x0f},
    {0xa3,0x2b},
    {0xa4,0x0f},
    {0xa5,0x2b},
    {0xa7,0x9a},
    {0xa8,0x1c},
    {0xa9,0x11},
    {0xaa,0x16},
    {0xab,0x16},
    {0xac,0x3c},
    {0xad,0xf0},
    {0xae,0x57},
    {0xc6,0xaa},
    {0xd2,0x78},
    {0xd0,0xb4},
    {0xd1,0x00},
    {0xc8,0x10},
    {0xc9,0x12},
    {0xd3,0x09},
    {0xd4,0x2a},
    {0xee,0x4c},
    {0x7e,0xfa},
    {0x74,0xa7},
    {0x78,0x4e},
    {0x60,0xe7},
    {0x61,0xc8},
    {0x6d,0x70},
    {0x1e,0x39},
    {0x98,0x1a},
    {0xbb,0x20},
};
#endif
